System.Design 2.0.0.0 System.Object

The class is one of several types that represent the schema of a data store at design-time. These schema items are made available to controls by designers implementing the interface. Controls access schema objects by calling the method of the interface.

The class represents a single table in the data store. A collection of objects is returned when you call the method with the parameter set to .

Represents a stored procedure in the data store.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name.

  The name of the stored procedure.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name and owner.

  The name of the stored procedure.
  The data store owner of the stored procedure.
- Method
  2.0.0.0
  System.Collections.ICollection

  The method is called the first time the property is accessed to populate the collection of stored-procedure parameters.

  When overridden in a derived class, returns a collection of parameters for the stored procedure.

  A collection of objects.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the name of the stored procedure.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the owner of the stored procedure.

- Property
  2.0.0.0
  System.Collections.ICollection To be added.

  The property is populated by the method the first time the property is accessed.

  Gets a collection of parameters required for a stored procedure.